services:
  tomcat:
    image: icontainer/tomcat:9.0.98-jdk21
    restart: always
    container_name: ${CONTAINER_NAME}
    environment:
      TOMCAT_USERNAME: ${TOMCAT_USERNAME:-}
      TOMCAT_PASSWORD: ${TOMCAT_PASSWORD:-}
      TOMCAT_EXTRA_JAVA_OPTS: ${TOMCAT_OPTS:-}
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    env_file:
      - ./.env
    volumes:
      - ${TOMCAT_WEBAPPS_DIR}:/opt/bitnami/tomcat/webapps
      - ./.env:/.env
    networks:
      - icontainer-network
    labels:
      createdBy: "icontainer"
networks:
  icontainer-network:
    external: true